{% extends 'app_lmgas/base.html' %}
{% load static %}
{% block title%}LMGAS - Finalizar Compra{% endblock%}


{% block contenido %}

<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="{% url 'home' %}">Inicio</a> > <a href="{% url 'Carrito' %}">Carro </a>> <a
                href="{% url 'Despacho' %}">Despacho </a>> <a href="{% url 'MetodoDePago' %}"> Metodo de pago</a>> <a
                href="">Finalizar compra</a> ></h6>

        <div class="row">

            <div class="col-sm-6 mt-3">

                <div class="d-inline-flex">
                    <h3 style="color: #8d8d8d;">Despacho</h3> <a href="{% url 'Despacho' %}"><button type="button"
                            class="btn btn-info btn-sm ml-1">Modificar <ion-icon name="pencil-outline"></ion-icon>
                        </button></a>
                </div>

                <ul>
                    <li><b>Nombre de contacto:</b> {{user.first_name}} {{user.last_name}}</li>
                    <li><b>Dirección:</b> {{pedido.id_direccion.calle}} {{pedido.id_direccion.numero}}</li>
                    <li><b>Comuna:</b>{{pedido.id_direccion.comuna}}</li>
                    <li><b>Teléfono:</b>{{pedido.id_direccion.telefono}}</li>
                    <li><b>Fecha de despacho:</b> {{pedido.dia}}</li>
                    <li><b>Hora de despacho:</b>{{pedido.hora_despacho}}</li>
                    <li><b>Costo despacho:</b> ${{pedido.valor_despacho}}</li>
                </ul>
            </div>

            <div class="col-sm-6 mt-3">
                <div class="d-inline-flex">
                    <h3 style="color: #8d8d8d;">Método de pago</h3>
                </div>
                <ul>
                    <li><b>Forma de pago:</b> {{pedido.id_metodo}}</li>
                    <li><b>Recibo:</b> Boleta</li>
                    <li><b>Usuario:</b> {{pedido.rut.username}}</li>
                </ul>
            </div>
            <div class="col-sm-12">
                <hr style="background-color: black;">
            </div>
            <div class="col-sm-12 mt-3">
                <h3 style="color: #8d8d8d;">Productos</h3>
            </div>
            <div class="col-sm-12" style="background-color: rgb(238, 238, 238); border: 1px solid #d1d1d1;">
                <table class="table table-borderless table-sm table-responsive-sm mt-3">
                    <thead class="text-light" style="background-color: #184483;">
                        <tr>
                            <th>Nombre del producto</th>
                            <th>Cantidad</th>
                            <th>Precio por unidad</th>
                            <th>Total</th>
                        </tr>
                    </thead>  
                    <tbody class="bg-light">
                        {% for c in car %}
                            <tr>
                                <td>{{c.id_producto.descripcion}}</td>
                                <td>{{c.cantidad}}</td>
                                <td>${{c.id_producto.valor}}</td>
                                <td>${{c.obtenerTotal}}</td>
                            </tr>
                        {% endfor %}
                        <tr>
                            <td></td>
                            <td></td>
                            <td>Total:</td>
                            <td>{{total}}</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td>Despacho</td>
                            <td>{{pedido.valor_despacho}}</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td>Total + Despacho</td>
                            <td>{{totalfinal}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <div class="col-sm-12 mt-3">
                <a class="btn btn-small btn-info ml-3 float-right" href="{% url 'TerminarCompra' %}">Finalizar Compra</a>

            </div>
        </div>
    </div>

{% endblock contenido %}